Bug 1014624 - expect leaks memory when using -re
expect leaks memory when using -re
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: expect (Show other bugs)
7.0
All Linux
high Severity high
: rc
: ---
Assigned To: Vitezslav Crhonek
Branislav Náter
:
Depends On: 1011838
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 08:31 EDT by Vitezslav Crhonek
Modified: 2014-06-18 00:22 EDT (History)
7 users (show)

See Also:
Fixed In Version: expect-5.45-9.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1011838
Environment:
Last Closed: 2014-06-13 05:20:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Branislav Náter 2014-04-14 14:03:52 EDT
Verified using automated test. Memory consumption is constant.

:: [ 14:01:09 ] :: [ INFO    ] :: Starting reproducer script
spawn yes
   VSZ   RSS
122920  2300
:: [   PASS   ] :: Get initial memory consumption (Expected 0, got 0)
:: [   PASS   ] :: Taking a 10s nap (Expected 0, got 0)
   VSZ   RSS
122920  2300
:: [   PASS   ] :: Get memory consumption after 10s (Expected 0, got 0)
:: [   PASS   ] :: Files start.txt and 10s.txt should not differ
Comment 3 Ludek Smid 2014-06-13 05:20:38 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.